#!/usr/bin/env python

# TQt tutorial 4.

import sys
from python_tqt.qt import *


class MyWidget(TQWidget):
	def __init__(self,parent=None,name=None):
		TQWidget.__init__(self,parent,name)

		self.setMinimumSize(200,120)
		self.setMaximumSize(200,120)

		quit = TQPushButton("Quit",self,"quit")
		quit.setGeometry(62,40,75,30)
		quit.setFont(TQFont("Times",18,TQFont.Bold))

		self.connect(quit,SIGNAL("clicked()"),tqApp,SLOT("quit()"))


a = TQApplication(sys.argv)

w = MyWidget()
w.setGeometry(100,100,200,120)
a.setMainWidget(w)
w.show()
a.exec_loop()
